Subject: bug#61366: closed (Re: bug#61366: [PATCH] ; Add usage, will not continue if no parameters are provided.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Sep 2023 19:52:02 +0000

Your bug report

#61366: [PATCH] ; Add usage, will not continue if no parameters are provided.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61366: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61366
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61366: [PATCH] ; Add usage, will not continue if no parameters are provided.
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 1 Sep 2023 21:51:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> > Cc: [email-masked], [email-masked]
> > Date: Sun, 19 Mar 2023 08:05:46 +0200
> > From: Eli Zaretskii <[email-masked]>
> >
> > > Hi, Yuan Fu, Can you help to look this issue?
> >
> > I don't see a point, as I'm going to delete these scripts very soon.
>
> Now done.

This bug was left open by accident, so I'm closing it now.

Subject: [PATCH] ; Add usage, will not continue if no parameters are provided.
From: Xi Lu <[email-masked]>
To: [email-masked]
Cc: Xi Lu <[email-masked]>
Date: Wed, 8 Feb 2023 18:00:49 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 admin/notes/tree-sitter/build-module/build.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/admin/notes/tree-sitter/build-module/build.sh b/admin/notes/tree-sitter/build-module/build.sh
index 9dc674237ca..08a71c1dde1 100755
--- a/admin/notes/tree-sitter/build-module/build.sh
+++ b/admin/notes/tree-sitter/build-module/build.sh
@@ -3,6 +3,12 @@
 lang=$1
 topdir="$PWD"
 
+if [ $# -lt 1 ]
+then
+    echo "Usage: $0 <language>"
+    exit
+fi
+
 case $(uname) in
     "Darwin")
         soext="dylib"
-- 
2.39.1